<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: top_link_panel.php
| Version: 1.0
| Author: Kshyhoo
| Site: http://www.kshyhoo.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS . "top_link_panel/locale/" . $settings['locale'] . ".php")) {
  include INFUSIONS . "top_link_panel/locale/English.php";
  include INFUSIONS . "top_link_panel/locale/" . $settings['locale'] . ".php";
} else {
  include INFUSIONS . "top_link_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['TLP001'];
$inf_description = $locale['TLP001'];
$inf_version = "1.0.0";
$inf_developer = "Kshyhoo";
$inf_email = "kshyhoo@kshyhoo.eu";
$inf_weburl = "http://www.kshyhoo.eu";

add_to_head("<script type='text/javascript' src='".INFUSIONS."top_link_panel/includes/scrollto.js'></script>");
add_to_head("<style type='text/css'>
#top-link {
  display: none;
	position: fixed;
	z-index: 150;
	top: 50%;
	margin-top: -24px;
	left: auto;
	right: 0;
	text-indent: -9999px;
	width: 48px;
	height: 48px;
	background: #0026FF url(".BASEDIR."infusions/top_link_panel/images/go-to-top.png) center no-repeat;
	transition: background-color .3s linear;
	-moz-transition: background-color .3s linear;
	-webkit-transition: background-color .3s linear;
	-ms-transition: background-color .3s linear;
	-o-transition: background-color .3s linear
}
#top-link:hover {
  background-color: #05057D
}
</style>

<script type='text/javascript'>
	jQuery.fn.topLink = function(settings) {
		settings = jQuery.extend({
			min: 1,
			fadeSpeed: 200,
			ieOffset: 50
		}, settings);
		return this.each(function() {
			//listen for scroll
			var el = $(this);
			el.css('display','none'); //in case the user forgot
			$(window).scroll(function() {
				if(!jQuery.support.hrefNormalized) {
					el.css({
						'position': 'absolute',
						'top': $(window).scrollTop() + $(window).height() - settings.ieOffset
					});
				}
				if($(window).scrollTop() >= settings.min)	{
					el.fadeIn(settings.fadeSpeed);
				}	else {
					el.fadeOut(settings.fadeSpeed);
				}
			});
		});
	};

	$(document).ready(function() {
		$('#top-link').topLink({
			min: 400,
			fadeSpeed: 500
		});
		//smoothscroll
		$('#top-link').click(function(e) {
			e.preventDefault();
			$.scrollTo(0,300);
		});
	});
</script>");

echo "<a href='#top' id='top-link' alt='".$locale['TLP001']."' title='".$locale['TLP001']."'>".$locale['TLP001']."</a>\n";

?>
<?php
$locale['TLP001'] = "Powrt na pocztek strony";
?>